-- ToME - Tales of Maj'Eyal
-- Copyright (C) 2009, 2010, 2011 Nicolas Casalini
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.
--
-- Nicolas Casalini "DarkGod"
-- darkgod@te4.org

defineTile('#', "HARDWALL")
quickEntity('<', {show_tooltip=true, name='entrance', display='<', color=colors.WHITE, change_level=1, change_zone=game.player.last_wilderness, image="terrain/grass_up_wilderness.png", add_displays = {mod.class.Grid.new{image="terrain/worldmap.png"}},}, nil, {type="portal", subtype="back"})
defineTile(',', "GRASS")
defineTile('.', "FLOOR")
defineTile('x', "TABLE")
defineTile('t', "TREE")
defineTile('~', "DEEP_WATER")

defineTile('+', "DOOR", nil, nil, nil, def)
defineTile(',', "GRASS", nil, nil, nil, def)

defineTile('T', "FLOOR", nil, "WESTREACH")

startx = 5
starty = 21

return [[
####################
###############....#
#..#..#....####....#
#..#..#....#..+....#
#.##..#....#..#....#
#..#..#....+..######
##+#+#######..#....#
#....xT....#..#....#
#.x..xxx...#..+....#
#.............#....#
#.x........#########
#......x...#.......#
#...x....x....xxx..#
#x............xxx..#
#..................#
#####.######..xxx..#
ttt#...#...#..xxx..#
ttt#.......#.......#
ttt#...#...#########
tt,##+######,,,,,,,~
tt,,,,,,,,,,,,,,,,,~
t,,,,<,,,,,,,,,,,,~~]]